#!/usr/bin/env Rscript
args = commandArgs(trailingOnly=TRUE)

filename <- args[1]
filebase <- strsplit(filename,split="\\.")[[1]][1]

library(seqLogo)
library(Biostrings)

dna <- readDNAStringSet(filename)
cm <-consensusMatrix(dna)[1:4,]
sumcm <- apply(cm,2,sum)
cm[1,] <- cm[1,]/sumcm
cm[2,] <- cm[2,]/sumcm
cm[3,] <- cm[3,]/sumcm
cm[4,] <- cm[4,]/sumcm
if(length(cm[1,]) > 16) {
  cm <- cm[,1:16]
}
pwmcm <- makePWM(cm)

png(file=paste0(filebase,".png"), width=480, height=240)
seqLogo(pwmcm)
dev.off()

